2024-10-14 22:21:37 UTC
164 MB
1.17
MYSQL_MAJOR8.4
MYSQL_SHELL_VERSION8.4.3-1.el9
MYSQL_VERSION8.4.3-1.el9
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:2c0a233485c3a7b6cab556a9a9c2916ca9a3afc8c46097ddfbe0af4fe120a50c - 28.63% (46.8 MB)
[#001] sha256:6f5cca38a221c35a53694cce3b34887a1cf73335b1c53075114a140a99de0b93 - 0.0% (885 Bytes)
[#002] sha256:d7c84b66ede077e0a8717528112591fbfd5f3ced4040c124eb6659b3c14940d4 - 0.57% (960 KB)
[#003] sha256:299f6f88c6cfd0fdcd8f375f1c26bdd1d4f04eded1587b11419b7f8ae0934d3b - 4.02% (6.58 MB)
[#004] sha256:d39eae8f992719502e3a1d7552504b1acad7bf67f068af86e0dec581ddad018f - 0.0% (2.54 KB)
[#005] sha256:ec0557361569a8ecbc29bb910b4bde5cdaad19c06a71ae771a273afa01543d28 - 0.0% (334 Bytes)
[#006] sha256:f6d0f80cb1bedb26d1fbd402a1b7788789ef10b76310425c826d463cdcc034e9 - 27.73% (45.4 MB)
[#007] sha256:d496030b710c9fcd2314de6c4b1e7921739e9552cf0338ebd4b51de517252e01 - 0.0% (321 Bytes)
[#008] sha256:4d755d8c89d19d65a71254593f2410f5bc54a1b5cb51b4763665bbfd08f05451 - 39.04% (63.9 MB)
[#009] sha256:699d8e3dc44b682de3b43954ad50435abff0302f59f790cbe032bb70f7edc214 - 0.0% (5.2 KB)
ADD oraclelinux-9-slim-amd64-rootfs.tar.xz / # buildkit
2024-10-14 22:21:37 UTC (buildkit.dockerfile.v0)CMD ["/bin/bash"]
2024-10-14 22:21:37 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; groupadd --system --gid 999 mysql; useradd --system --uid 999 --gid 999 --home-dir /var/lib/mysql --no-create-home mysql # buildkit
2024-10-14 22:21:37 UTC (buildkit.dockerfile.v0)ENV GOSU_VERSION=1.17
2024-10-14 22:21:37 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; arch="$(uname -m)"; case "$arch" in aarch64) gosuArch='arm64' ;; x86_64) gosuArch='amd64' ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o /usr/local/bin/gosu.asc "https://github.com/tianon/gosu/releases/download/$GOSU_VERSION/gosu-$gosuArch.asc"; curl -fL -o /usr/local/bin/gosu "https://github.com/tianon/gosu/releases/download/$GOSU_VERSION/gosu-$gosuArch"; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver hkps://keys.openpgp.org --recv-keys B42F6819007F00F88E364FD4036A9C25BF357DD4; gpg --batch --verify /usr/local/bin/gosu.asc /usr/local/bin/gosu; rm -rf "$GNUPGHOME" /usr/local/bin/gosu.asc; chmod +x /usr/local/bin/gosu; gosu --version; gosu nobody true # buildkit
2024-10-14 22:21:37 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; microdnf install -y bzip2 gzip openssl xz zstd findutils ; microdnf clean all # buildkit
2024-10-14 22:21:37 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; key='BCA4 3417 C3B4 85DD 128E C6D4 B7B3 B788 A8D3 785C'; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; gpg --batch --export --armor "$key" > /etc/pki/rpm-gpg/RPM-GPG-KEY-mysql; rm -rf "$GNUPGHOME" # buildkit
2024-10-14 22:21:37 UTC (buildkit.dockerfile.v0)ENV MYSQL_MAJOR=8.4
2024-10-14 22:21:37 UTC (buildkit.dockerfile.v0)ENV MYSQL_VERSION=8.4.3-1.el9
2024-10-14 22:21:37 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eu; { echo '[mysql8.4-server-minimal]'; echo 'name=MySQL 8.4 Server Minimal'; echo 'enabled=1'; echo 'baseurl=https://repo.mysql.com/yum/mysql-8.4-community/docker/el/9/$basearch/'; echo 'gpgcheck=1'; echo 'gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-mysql'; echo 'module_hotfixes=true'; } | tee /etc/yum.repos.d/mysql-community-minimal.repo # buildkit
2024-10-14 22:21:37 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; microdnf install -y "mysql-community-server-minimal-$MYSQL_VERSION"; microdnf clean all; grep -F 'socket=/var/lib/mysql/mysql.sock' /etc/my.cnf; sed -i 's!^socket=.*!socket=/var/run/mysqld/mysqld.sock!' /etc/my.cnf; grep -F 'socket=/var/run/mysqld/mysqld.sock' /etc/my.cnf; { echo '[client]'; echo 'socket=/var/run/mysqld/mysqld.sock'; } >> /etc/my.cnf; ! grep -F '!includedir' /etc/my.cnf; { echo; echo '!includedir /etc/mysql/conf.d/'; } >> /etc/my.cnf; mkdir -p /etc/mysql/conf.d; mkdir -p /var/lib/mysql /var/run/mysqld; chown mysql:mysql /var/lib/mysql /var/run/mysqld; chmod 1777 /var/lib/mysql /var/run/mysqld; mkdir /docker-entrypoint-initdb.d; mysqld --version; mysql --version # buildkit
2024-10-14 22:21:37 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eu; { echo '[mysql-tools-community]'; echo 'name=MySQL Tools Community'; echo 'baseurl=https://repo.mysql.com/yum/mysql-tools-8.4-community/el/9/$basearch/'; echo 'enabled=1'; echo 'gpgcheck=1'; echo 'gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-mysql'; echo 'module_hotfixes=true'; } | tee /etc/yum.repos.d/mysql-community-tools.repo # buildkit
2024-10-14 22:21:37 UTC (buildkit.dockerfile.v0)ENV MYSQL_SHELL_VERSION=8.4.3-1.el9
2024-10-14 22:21:37 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; microdnf install -y "mysql-shell-$MYSQL_SHELL_VERSION"; microdnf clean all; mysqlsh --version # buildkit
2024-10-14 22:21:37 UTC (buildkit.dockerfile.v0)VOLUME [/var/lib/mysql]
2024-10-14 22:21:37 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint.sh /usr/local/bin/ # buildkit
2024-10-14 22:21:37 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-entrypoint.sh"]
2024-10-14 22:21:37 UTC (buildkit.dockerfile.v0)EXPOSE map[3306/tcp:{} 33060/tcp:{}]
2024-10-14 22:21:37 UTC (buildkit.dockerfile.v0)CMD ["mysqld"]
2024-10-14 22:21:37 UTC
161 MB
1.17
MYSQL_MAJOR8.4
MYSQL_SHELL_VERSION8.4.3-1.el9
MYSQL_VERSION8.4.3-1.el9
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:f7fa64c7935f6bb5df09447a656c51d0f8f2a9f6c57838b88508dce34d5ec36a - 28.25% (45.5 MB)
[#001] sha256:bbcaadfa83903ddc9308d3aaf06f5d34a9498c7299facf5e699043ad60cfddb3 - 0.0% (882 Bytes)
[#002] sha256:e0924329359e826029c0b9e3bae69796feef0fffead03a7536e402448e2fb2ab - 0.54% (892 KB)
[#003] sha256:c595f1ed755a5990b59de61c16bb5578c742a829179eba8151027a643bea940f - 3.85% (6.2 MB)
[#004] sha256:58b2a5c8574b885b26c607545b32113f35591e98ebfb418f0ef484778ee7bdc2 - 0.0% (2.55 KB)
[#005] sha256:9dbf6d01ca893fbb4c016c7d6b4c0941a4b0a40b3125194eafb7a9a585b62dc7 - 0.0% (330 Bytes)
[#006] sha256:51f9b21794c38886352090ba8181f07d8a6c3f0a1037da0ea331c1c027e5ec05 - 27.53% (44.3 MB)
[#007] sha256:2c4b00b72fec9f40e32c595b0d4614bc939895a979f731d49d85db7ad8473db6 - 0.0% (319 Bytes)
[#008] sha256:ffa7a4d749fc90300ad811051e76d69a553d218ef501225fedf92f424e65db05 - 39.82% (64.1 MB)
[#009] sha256:ae13e90ab7aa2e5ba35a429ec001df2df298c79d291831dbef6b7571439bee11 - 0.0% (5.21 KB)
ADD oraclelinux-9-slim-arm64v8-rootfs.tar.xz / # buildkit
2024-10-14 22:21:37 UTC (buildkit.dockerfile.v0)CMD ["/bin/bash"]
2024-10-14 22:21:37 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; groupadd --system --gid 999 mysql; useradd --system --uid 999 --gid 999 --home-dir /var/lib/mysql --no-create-home mysql # buildkit
2024-10-14 22:21:37 UTC (buildkit.dockerfile.v0)ENV GOSU_VERSION=1.17
2024-10-14 22:21:37 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; arch="$(uname -m)"; case "$arch" in aarch64) gosuArch='arm64' ;; x86_64) gosuArch='amd64' ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o /usr/local/bin/gosu.asc "https://github.com/tianon/gosu/releases/download/$GOSU_VERSION/gosu-$gosuArch.asc"; curl -fL -o /usr/local/bin/gosu "https://github.com/tianon/gosu/releases/download/$GOSU_VERSION/gosu-$gosuArch"; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver hkps://keys.openpgp.org --recv-keys B42F6819007F00F88E364FD4036A9C25BF357DD4; gpg --batch --verify /usr/local/bin/gosu.asc /usr/local/bin/gosu; rm -rf "$GNUPGHOME" /usr/local/bin/gosu.asc; chmod +x /usr/local/bin/gosu; gosu --version; gosu nobody true # buildkit
2024-10-14 22:21:37 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; microdnf install -y bzip2 gzip openssl xz zstd findutils ; microdnf clean all # buildkit
2024-10-14 22:21:37 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; key='BCA4 3417 C3B4 85DD 128E C6D4 B7B3 B788 A8D3 785C'; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; gpg --batch --export --armor "$key" > /etc/pki/rpm-gpg/RPM-GPG-KEY-mysql; rm -rf "$GNUPGHOME" # buildkit
2024-10-14 22:21:37 UTC (buildkit.dockerfile.v0)ENV MYSQL_MAJOR=8.4
2024-10-14 22:21:37 UTC (buildkit.dockerfile.v0)ENV MYSQL_VERSION=8.4.3-1.el9
2024-10-14 22:21:37 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eu; { echo '[mysql8.4-server-minimal]'; echo 'name=MySQL 8.4 Server Minimal'; echo 'enabled=1'; echo 'baseurl=https://repo.mysql.com/yum/mysql-8.4-community/docker/el/9/$basearch/'; echo 'gpgcheck=1'; echo 'gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-mysql'; echo 'module_hotfixes=true'; } | tee /etc/yum.repos.d/mysql-community-minimal.repo # buildkit
2024-10-14 22:21:37 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; microdnf install -y "mysql-community-server-minimal-$MYSQL_VERSION"; microdnf clean all; grep -F 'socket=/var/lib/mysql/mysql.sock' /etc/my.cnf; sed -i 's!^socket=.*!socket=/var/run/mysqld/mysqld.sock!' /etc/my.cnf; grep -F 'socket=/var/run/mysqld/mysqld.sock' /etc/my.cnf; { echo '[client]'; echo 'socket=/var/run/mysqld/mysqld.sock'; } >> /etc/my.cnf; ! grep -F '!includedir' /etc/my.cnf; { echo; echo '!includedir /etc/mysql/conf.d/'; } >> /etc/my.cnf; mkdir -p /etc/mysql/conf.d; mkdir -p /var/lib/mysql /var/run/mysqld; chown mysql:mysql /var/lib/mysql /var/run/mysqld; chmod 1777 /var/lib/mysql /var/run/mysqld; mkdir /docker-entrypoint-initdb.d; mysqld --version; mysql --version # buildkit
2024-10-14 22:21:37 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eu; { echo '[mysql-tools-community]'; echo 'name=MySQL Tools Community'; echo 'baseurl=https://repo.mysql.com/yum/mysql-tools-8.4-community/el/9/$basearch/'; echo 'enabled=1'; echo 'gpgcheck=1'; echo 'gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-mysql'; echo 'module_hotfixes=true'; } | tee /etc/yum.repos.d/mysql-community-tools.repo # buildkit
2024-10-14 22:21:37 UTC (buildkit.dockerfile.v0)ENV MYSQL_SHELL_VERSION=8.4.3-1.el9
2024-10-14 22:21:37 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; microdnf install -y "mysql-shell-$MYSQL_SHELL_VERSION"; microdnf clean all; mysqlsh --version # buildkit
2024-10-14 22:21:37 UTC (buildkit.dockerfile.v0)VOLUME [/var/lib/mysql]
2024-10-14 22:21:37 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint.sh /usr/local/bin/ # buildkit
2024-10-14 22:21:37 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-entrypoint.sh"]
2024-10-14 22:21:37 UTC (buildkit.dockerfile.v0)EXPOSE map[3306/tcp:{} 33060/tcp:{}]
2024-10-14 22:21:37 UTC (buildkit.dockerfile.v0)CMD ["mysqld"]
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.